CSPLIT(1)

NOM
csplit - Découper un fichier en sections définies par des lignes de contexte

SYNOPSIS
csplit [OPTION]... MOTIF FICHIER...

DESCRIPTION

Produire des morceaux du FICHIER séparés par MOTIF(s) vers les fichiers « xx01 », « xx02 », …, et afficher le nombre d'octets de chaque morceau sur la sortie standard.

Lire l'entrée standard si FICHIER est -

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-b, --suffix-format=FORMAT
    utiliser le FORMAT sprintf au lieu de %02d

-f, --prefix=PRÉFIXE
    utiliser le PRÉFIXE au lieu de « xx »

-k, --keep-files
    ne pas détruire les fichiers de sortie en cas d'erreur

--suppress-matched
    supprimer les lignes correspondant au MOTIF

-n, --digits=NOMBRE
    utiliser le nombre de chiffres indiqué au lieu de 2

-s, --quiet, --silent
    ne pas afficher la taille des fichiers de sortie

-z, --elide-empty-files
    détruire les fichiers de sortie vides

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

  Chaque MOTIF peut être :

ENTIER
    copier jusqu'à la ligne indiquée sans l'inclure

/REGEXP/[SAUT]
    copier jusqu'à la détection d'une ligne qui corresponde mais sans l'inclure

%REGEXP%[SAUT]
    sauter jusqu'à une ligne qui corresponde, mais sans l'inclure

{ENTIER}
    répéter le motif précédent le nombre de fois indiqué

{*} répéter le motif précédent autant de fois que possible

Un SAUT de lignes est constitué d'un « + » ou « - » suivi d'un entier positif.

AUTEUR
Écrit par Stuart Kemp et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/csplit>
aussi disponible localement à l’aide de la commande : info '(coreutils) csplit invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Sylvain Archenault <sylvain.archenault@laposte.net>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.